import React, { useState, useEffect } from 'react';
import { Form, Input, Button, Icon, Select, Tabs, Radio, DatePicker,message,Checkbox,Row, Col } from 'antd';
import { FormattedMessage } from 'umi-plugin-react/locale';
import styles from '../style/GoodsList.less';
import moment from 'moment';
import router from 'umi/router';
import BuildSelect from '../../components/SelectButton/BuildSelect'
import XForm, { FieldTypes } from '../../components/XForm';
import Wangedit from '../../components/Wangedit/Wangedit'
import request from '../../utils/request'
import SelectCity from '../../components/SelectButton/CitySelect'

const { MonthPicker, RangePicker, WeekPicker } = DatePicker;
/**
 *
 *
 * @param {*} props
 * @returns
 */
 const Edit = (props) => {
  const [ data, setData ] = useState([])

  const changBuilding = (buildingId) => {
    request({
      url: '/api/admin/tdBizEventIntention',
      method: 'GET',
      params: {pageNum: 1, pageSize: 999,buildingId}
    }).then((data) => {
      console.log(data)
      setData(data.records)
    })
  }

  return (
    <>
    <Row>
      <Col span={12}>
        <BuildSelect onChange={changBuilding}/>
      </Col>
    </Row>
    <Row>
      <Col span={6} offset={6}>
        用户操作
      </Col>
      <Col span={6} offset={6}>
        意向值
      </Col>
    </Row>
    {data.map((x) => {
      console.log(x)
      return <Row>
                <Col span={6} offset={6}>
                {x.eventName}
                </Col>
                <Col span={6} offset={6}>
                  {x.intention}
                </Col>
              </Row>
    })}
    <Row>
      <Button type="primary" className={styles.searchBtn} >确定</Button>
    </Row>
    </>
  );
 }



export default Edit
